Name:		pidgin-indicator
Summary:	StatusNotifierItem tray icon plugin for Pidgin
Version:	1.0.1
Release:	%mkrel 5
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		https://github.com/philipl/pidgin-indicator
Source0:	https://github.com/philipl/pidgin-indicator/releases/download/%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(ayatana-appindicator-0.1)
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(pidgin)
BuildRequires:	perl(XML::Parser)

Requires:	pidgin

%description
This plugin provides a StatusNotifierItem tray icon, for use in
KDE Plasma 5, Unity, Elementary and other environments.

It provides all the same functionality as the original tray icon
but not in exactly the same way:
 * The smart click behavior that either shows the buddy list or
   unread messages is now activated by a middle-click because
   left click on an libappindicator always opens the menu.
 * As the SNI-icon is a separate process from pidgin itself, there
   are sometimes conflicts with Focus Stealing Prevention when you
   use the indicator to go to unread messages. You may need to
   disable FSP for Pidgin to get around this.
 * Due to how libappindicator work, the middle-click action must
   also be a menu item, so it's the new Show/Hide item at the top
   of the menu.
 * Due to libappindicator limitations, some of the special icons
   cannot be shown next to menu items any more.


%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/pidgin/indicator.so
%{_iconsdir}/hicolor/*/status/pidgin-indicator-nothing.png


%changelog
* Mon Jan 04 2021 daviddavid <daviddavid> 1.0.1-5.mga8
+ Revision: 1668614
- add build dependency on pkgconfig(libnsl) to fix build

* Wed Aug 05 2020 wally <wally> 1.0.1-4.mga8
+ Revision: 1611327
- add patch to port to Ayatana AppIndicator

* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1515933
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300267
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1244905
- initial package pidgin-indicator

